Name:           librime
Version:        0.9.8
Release:        %mkrel 1
Summary:        Rime Input Method Engine Library
Group:		System/Libraries
License:        GPLv3
URL:            http://code.google.com/p/rimeime/
Source0:        http://rimeime.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRequires:  cmake, opencc-devel
BuildRequires:  boost-devel >= 1.46
BuildRequires:  glog-devel, gtest-devel
BuildRequires:  %{_lib}yaml-cpp-devel, kyotocabinet-devel
Patch0:         librime-fixes-zlib-cmake.patch

%description
Rime Input Method Engine Library

Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.

%package        devel
Summary:        Development files for %{name}
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:        Tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description    tools
The %{name}-tools package contains tools for %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .zlib
# fix broken pkconfig file
sed -i -e 's/@version/@LIBRIME_VERSION/' rime.pc.in

%build
export LD_LIBRARY_PATH=`pwd`/build/lib
%cmake
%make 

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README LICENSE
%{_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rime.pc
%dir %{_datadir}/cmake/rime
%{_datadir}/cmake/rime/RimeConfig.cmake


%files tools
%{_bindir}/rime_deployer
%{_bindir}/rime_dict_manager


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.9.8-1pclos2013
- imported package
